Bug 1215989 - Backlight is non-responsive on Toshiba Satellite
Summary: Backlight is non-responsive on Toshiba Satellite
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-28 10:13 UTC by Alex Puchades
Modified: 2015-05-26 03:55 UTC (History)
7 users (show)

Fixed In Version: kernel-3.19.8-100.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-11 19:03:01 UTC


Attachments (Terms of Use)

Description Alex Puchades 2015-04-28 10:13:15 UTC
Description of problem:
Backlight is blocked at maximum level, it does not respond neither to Fn buttons nor changes on GNOME toolbar widget. I had same problem with past releases, I tried different workarounds [1] and the xorg.conf one used to work. But with Fedora 22 Beta, it no longer works.

[1] https://wiki.archlinux.org/index.php/Intel_graphics#Backlight_is_not_adjustable

Version-Release number of selected component (if applicable):
$ uname -a
Linux toshiba-laptop 4.0.0-1.fc22.x86_64 #1 SMP Mon Apr 13 10:03:33 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Always (w/ and w/o /etc/xorg.conf.d/20-intel.conf)

Steps to Reproduce:
1. Boot
2. Try to adjust backlight levels

Actual results:
Backlight doesn't change and GNOME toolbar does weird things

Expected results:
Backlight changes and GNOME toolbar widget changes accordingly

Additional info:
$ ls -la /sys/class/backlight/
total 0
drwxr-xr-x.  2 root root 0 abr 28 12:09 .
drwxr-xr-x. 52 root root 0 abr 28 11:45 ..
lrwxrwxrwx.  1 root root 0 abr 28 11:45 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight
lrwxrwxrwx.  1 root root 0 abr 28 11:46 toshiba -> ../../devices/LNXSYSTM:00/LNXSYBUS:00/TOS1900:00/backlight/toshiba

Comment 1 Hans de Goede 2015-04-28 10:29:12 UTC
Hi,

Ok, I think that this may be more or less the same bug as bug 1206036. I've done a scratch kernel build with the fix for that bug:

http://koji.fedoraproject.org/koji/taskinfo?taskID=9475621

Please download the following rpms:
kernel-3.19.3-...rpm
kernel-core-3.19.3-...rpm
kernel-modules-3.19.3-...rpm

For your arch from there.

This is an older scratch build, so the files may be 404 (scratch builds get cleaned up regulary). I've
also started a new scratch build in case the above one no longer has the necessary output files:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9585410
Note it will take a while for this build to complete...

Save them all to the same directory (which should not contain other rpms) and do:

sudo rpm -ivh kernel-*.rpm

From within that directory.

Then boot into the new kernel (without any special kernel commandline options) and check if the backlight works as expected.

Note this is an F-21 / 3.19 kernel as bug 1206036 is an F-21 bug. If this scratch build fixes things, please also try an unfixed F-21 kernel, e.g. :

http://koji.fedoraproject.org/koji/buildinfo?buildID=629573

(install / test instructions are the same).

If the scratch-build fixes things, and the regular F-21 build shows the same problems as the F-22 / 4.0 kernel then this is the same bug, and I'll go work on getting the fix included into the regular Fedora kernel builds.

Thanks & Regards,

Hans

Comment 2 Alex Puchades 2015-04-29 14:20:36 UTC
Backlight works with both the F21 stock kernel (3.17.4-301) and your custom kernel build. But I'm sure it didn't work at the time I was using F21, neither it worked with the 4.0 kernel in F22. Is it a 4.0 regression?

Both kernels show:
$ ls -la /sys/class/backlight/
total 0
drwxr-xr-x.  2 root root 0 abr 29 16:13 .
drwxr-xr-x. 49 root root 0 abr 29 16:06 ..
lrwxrwxrwx.  1 root root 0 abr 29 16:06 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight

Comment 3 Alex Puchades 2015-04-29 14:21:03 UTC
Backlight works with both the stock F21 kernel (3.17.4-301) and your custom kernel build. But I'm sure it didn't work at the time I was using F21, neither it worked with the 4.0 kernel in F22. Is it a 4.0 regression?

Both kernels show:
$ ls -la /sys/class/backlight/
total 0
drwxr-xr-x.  2 root root 0 abr 29 16:13 .
drwxr-xr-x. 49 root root 0 abr 29 16:06 ..
lrwxrwxrwx.  1 root root 0 abr 29 16:06 intel_backlight -> ../../devices/pci0000:00/0000:00:02.0/drm/card0/card0-LVDS-1/intel_backlight

Comment 4 Hans de Goede 2015-04-29 14:29:07 UTC
Hi,

(In reply to Alex Puchades from comment #3)
> Backlight works with both the stock F21 kernel (3.17.4-301) and your custom
> kernel build. But I'm sure it didn't work at the time I was using F21,
> neither it worked with the 4.0 kernel in F22. Is it a 4.0 regression?

Or maybe a 3.19 regression, can you please try this 3.19 build (install instructions are the same) ? :

http://koji.fedoraproject.org/koji/buildinfo?buildID=629573

That one does not have the fix my scratch build has. So if that one is broken too, then it is a 3.19 regression fixed by the patch I added to the scratch build.

Thanks & Regards,

Hans

Comment 5 Alex Puchades 2015-04-29 15:00:44 UTC
It's what you said. Backlight is broken with the stock 3.19 kernel. Both intel_backlight and toshiba show up in /sys/class/backlight.

Comment 6 Hans de Goede 2015-04-30 09:19:11 UTC
(In reply to Alex Puchades from comment #5)
> It's what you said. Backlight is broken with the stock 3.19 kernel. Both
> intel_backlight and toshiba show up in /sys/class/backlight.

Thanks, then this is fixed by this upstream commit:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/drivers/platform/x86/toshiba_acpi.c?id=358d6a2c3ecae2b22c7d7e61f9d5672557446dfb

I've asked the Fedora kernel maintainer to consider adding this to the official Fedora kernel builds.

Comment 7 Josh Boyer 2015-04-30 23:49:40 UTC
The patch has been added and will be in the 3.19.6 builds on F20/F21.  F22 will get a build soon.

Comment 8 Fedora Update System 2015-05-01 16:26:19 UTC
kernel-3.19.6-200.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.19.6-200.fc21

Comment 9 Fedora Update System 2015-05-01 16:31:12 UTC
kernel-3.19.6-100.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.19.6-100.fc20

Comment 10 Fedora Update System 2015-05-02 18:09:58 UTC
Package kernel-3.19.6-100.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.19.6-100.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7442/kernel-3.19.6-100.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-05-08 12:18:09 UTC
kernel-4.0.2-300.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/kernel-4.0.2-300.fc22

Comment 12 Fedora Update System 2015-05-08 16:09:50 UTC
kernel-3.19.7-100.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.19.7-100.fc20

Comment 13 Fedora Update System 2015-05-08 16:12:29 UTC
kernel-3.19.7-200.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/kernel-3.19.7-200.fc21

Comment 14 Fedora Update System 2015-05-11 19:03:01 UTC
kernel-4.0.2-300.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-05-12 20:40:50 UTC
kernel-3.19.7-200.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-05-18 17:32:34 UTC
kernel-3.19.8-100.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.19.8-100.fc20

Comment 17 Fedora Update System 2015-05-26 03:55:54 UTC
kernel-3.19.8-100.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.